Summary:	Ogg Bitstream Library
Name:		libogg
Version:	1.1.3
Release:	1
Group:		Libraries
Copyright:	LGPL
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		%{_prefix}

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package 	devel
Summary: 	Ogg Bitstream Library Development
Group: 		Development

%description 	devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
fi
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_datadir}/aclocal
